/*===========================================
	INFO

	AUTHOR
	----------------------
	BPS Bildungsportal Sachsen GmbH
	Dresdner Str. 76, D-09130 Chemnitz

=============================================*/

/* IMPORT BASIC */
@import url(../standard/layout.css);
@import url(../basic_new/variables.css);

/****************************
	FONTS
****************************/
/* noto-sans-regular - latin */
@font-face {
	font-display: swap;
	font-family: 'Noto Sans';
	font-style: normal;
	font-weight: 400;
	src: url('fonts/noto-sans-v42-latin-regular.woff2') format('woff2');
}

/* noto-sans-italic - latin */
@font-face {
	font-display: swap;
	font-family: 'Noto Sans';
	font-style: italic;
	font-weight: 400;
	src: url('fonts/noto-sans-v42-latin-italic.woff2') format('woff2');
}

/* noto-sans-700 - latin */
@font-face {
	font-display: swap;
	font-family: 'Noto Sans';
	font-style: normal;
	font-weight: 700;
	src: url('fonts/noto-sans-v42-latin-700.woff2') format('woff2');
}

/* noto-sans-700italic - latin */
@font-face {
	font-display: swap;
	font-family: 'Noto Sans';
	font-style: italic;
	font-weight: 700;
	src: url('fonts/noto-sans-v42-latin-700italic.woff2') format('woff2');
}

/***************************************
		GENERAL
***************************************/
a {
	color: var(--main-theme-color-60);
}

details {
	margin-bottom: 1em;
	padding: .5em .5em 0;
	border: 1px solid var(--main-theme-gray-40);
	border-radius: 4px;
}

details[open] {
	padding: .5em;
}

summary {
	margin: -.5em -.5em 0;
	padding: .5em;
	text-decoration: underline;
	font-weight: bold;
}

details[open] summary {
	border-bottom: 1px solid var(--main-theme-gray-40);
	margin-bottom: .5em;
}

summary:hover {
	cursor: pointer;
}

summary:focus-visible {
	outline: 2px solid currentColor;
	outline-offset: -.3rem;
}

/***************************************
		HEADER
***************************************/
#b_page, #b_page_wrapper {
	background: none var(--main-theme-gray-5);
}

#b_header {
	height: 45px;
}

#b_logo {
	height: 45px;
	margin-left: 0;
	background: url(images/logo-OPAL-new.png) no-repeat scroll 10px center transparent;
}

#b_topnav {
	right: 10px;
	top: 2px;
	padding: 10px 10px 10px 0;
}

#b_topnav #o_topnav_search, #b_topnav #b_ch_topnav_search {
	float: left;
	clear: none;
	margin-top: 0;
	margin-right: 10px;
}

#b_topnav ul #o_topnav_printview,
#o_topnav_logout .b_logout_icon,
#b_topnav ul li#o_topnav_help {
	display: none;
}

#b_topnav #o_topnav_menu {
	float: left;
	min-width: 127px;
	text-align: left;
}

#o_topnav_menu #o_topnav_menu_logout,
#o_topnav_menu #o_topnav_menu_spacer {
	float: right;
}

#o_topnav_menu #o_topnav_menu_spacer {
	margin: 0 5px;
	color: var(--main-theme-gray-60);
}

#o_topnav_menu_username {
	display: none;
}

#o_topnav_menu_profile {
	text-align: right;
}

.new-gui-info {
	background: var(--2nd-theme-color-50);
}

.new-gui-info a.b_button span {
	line-height: 1.4em;
	font-size: 1.15em;
	font-family: Arial, sans-serif;
	font-weight: normal;
	color: var(--main-theme-color-60);
}

#b_msg_sticky {
	min-height: inherit;
	padding: 10px;
	background: var(--error-color-70) none;
	border: none;
	color: var(--neutral-white);
}

.b_admin_mode {
	padding: 5px 10px !important;
	background-color: var(--accent-theme-color-30) !important;
	color: var(--accent-theme-color-80) !important;
}

.b_admin_mode .b_button {
	background: var(--neutral-white);
	border: 1px solid var(--main-theme-gray-20);
	color: var(--main-theme-color-60);
	border-radius: 4px;
}

.b_admin_mode a.b_button span {
	line-height: 1.4em;
	font-size: 1.15em;
	font-family: Arial, sans-serif;
	font-weight: normal;
	color: var(--main-theme-color-60);
}

/***************************************
		FOOTER
***************************************/
#b_footer a:link {
	background: none transparent;
}

/***************************************
		NAVIGATION
***************************************/
#b_nav_main {
	background-color: var(--main-theme-color-50);
	border-top: 1px solid var(--main-theme-color-50);
}

#b_nav_main li.b_nav_tab, #b_nav_main li.b_nav_site {
	height: 34px;
	line-height: 36px;
	margin: 3px 5px 0 5px;
	opacity: 1;
}

#b_nav_main li.b_nav_tab {
	background-color: var(--2nd-theme-color-5);
}

#b_nav_main li.b_nav_site a, #b_nav_main li.b_nav_tab a {
	padding: 0 10px;
	border-radius: 7px 7px 0 0;
	font-weight: normal;
	font-size: 1.2em;
}

#b_nav_main li.b_nav_site a {
	color: var(--neutral-white);
}

#b_nav_main li.b_nav_site a span, #b_nav_main li.b_nav_tab a span {
	display: inline-block;
	margin-top: -3px;
	margin-bottom: 1px;
}

#b_nav_main li.b_nav_tab:hover a,
#b_nav_main li.b_nav_active a,
#b_nav_main li.b_nav_tab a:link,
#b_nav_main li.b_nav_tab a:hover,
#b_nav_main li.b_nav_tab a:focus,
#b_nav_main li.b_nav_tab a:active,
#b_nav_main li.o_site_home.b_nav_active a,
#b_nav_main li.o_site_repository.b_nav_active a,
#b_nav_main li.b_nav_tab.b_nav_active a,
#b_nav_main li.o_site_groups.b_nav_active a,
#b_nav_main li.b_resource_BusinessGroup.b_nav_active a,
#b_nav_main li.o_site_help.b_nav_active a {
	color: var(--neutral-black);
}

#b_nav_main li.b_nav_active a {
	background-color: var(--neutral-white);
	color: var(--main-theme-color-50);
}

#b_nav_main ul li.b_nav_tab a.b_nav_tab_close:link, #b_nav_main ul li.b_nav_tab a.b_nav_tab_close:visited, div.b_msg-div a.b_mg_info_close {
	border-radius: 0;
}

#b_nav_main li.o_site_groups,
#b_nav_main li.o_site_help {
	display: none;
}

/***************************************
		MENU
***************************************/
a.b_tree_l0 {
	border-bottom-color: var(--main-theme-color-50) !important;
}

.b_tree_l1 li {
	padding-left: 7px !important;
	background-image: none !important;
}

span.b_tree_level_open, span.b_tree_level_close {
	left: -7px;
}

.o_repository span.b_tree_level_close,
.o_repository span.b_tree_level_open,
.o_home span.b_tree_level_close,
.o_home span.b_tree_level_open,
.o_admin span.b_tree_level_close,
.o_admin span.b_tree_level_open,
.o_useradmin span.b_tree_level_close,
.o_useradmin span.b_tree_level_open {
	left: 0;
}

#b_main.o_flashcard_editor #b_col1_content {
	height: auto !important;
}

/***************************************
		TOOLBOX
***************************************/
div.b_toolbox li a:link, div.b_toolbox li a:visited {
	color: var(--main-theme-gray-70);
}

/***************************************
		CONTENT
***************************************/
.o_home h1, .o_loginscreen h1, .o_loginscreen h4, .o_home_main h1, .o_login h3, .b_eportfolio h4,
.o_groups h1, .o_group_run h4, .o_group_run h1,
.o_repository h1, .o_repository_run h1, .o_repository_run h4, .o_repository_run h5, .o_course_run h1,
.o_groupsmanagement h1, .o_useradmin h1 {
	color: var(--main-theme-color-50);
}

body#b_body div.b_table_page a.b_table_page_active {
	background-color: var(--main-theme-color-50);
}

div.b_toolbox li a.b_toolbox_publish_highlighted, div.b_toolbox li a.b_toolbox_publish_highlighted:hover {
	background-color: var(--main-theme-color-50);
	color: var(--neutral-white);
}

a.o_forum_filterforuser, a.o_forum_archive, a.o_forum_hide, a.o_forum_open {
	display: inline-block;
	padding-left: 18px;
}

.o_vc_config_extended .b_form_element.b_form_vertical .b_button {
	margin-top: 2em;
}

/*course editor */
.test-variables-preview .box-info {
	border: 1px solid var(--main-theme-gray-40);
}

.lti-parameter-label {
	margin-right: -.2rem;
	font-style: italic;
}

.lti-parameter-label + div {
	display: inline;
}

.lti-parameter-label + div input {
	max-width: 10em;
}

.lti-parameter-error {
	max-width: 20rem;
}

.valign-top td {
	vertical-align: top;
}

.col-expert-rule textarea {
	resize: both;
}

/***************************************
		Tiny MCE
***************************************/
.tox.tox-tinymce {
	border: 1px solid var(--main-theme-gray-40);
	border-radius: 0;
}

.tox .tox-statusbar .tox-statusbar__branding svg {
	fill: rgba(34, 47, 62, .4);
}

/***************************************
		ICONS
***************************************/
/* general */
div.b_toolbox li a.icon_copy, div.b_toolbox li a.b_toolbox_copy, div.b_toolbox li a.b_toolbox_copy:hover, span.o_icon_copy, #o_action_titled_list .o_button_copy,
div.b_toolbox li a.o_icon_copy_multiple, span.o_icon_copy_multiple {
	background-image: url(images/icons/copy.png);
}

div.b_toolbox li a.b_toolbox_close, div.b_toolbox li a.b_toolbox_close:hover,
div.b_wizard div.b_wizard_header_title a.b_link_close:link, div.b_wizard div.b_wizard_header_title a.b_link_close:visited, div.b_window div.b_window_header_title a.b_link_close:link, div.b_window div.b_window_header_title a.b_link_close:visited {
	background-image: url(images/icons/cancel-circle.png);
}

div.b_toolbox li a.b_toolbox_preview, div.b_toolbox li a.b_toolbox_preview:hover,
div.b_toolbox li a.icon_courseconfig, .b_detailedView, span.repository_detail_img,
div.b_toolbox li a.icon_launch, div.b_toolbox li a.b_toolbox_run {
	background-image: url(images/icons/eye.png);
}

div.b_toolbox li a.o_toolbox_coursefolder, div.b_toolbox li a.o_toolbox_coursefolder:hover,
div.b_briefcase_foldercomp div.b_briefcase_createactions ul a.b_briefcase_newfolder:hover {
	background-image: url(images/icons/folder.png);
}

.b_filetype_folder, a.b_filetype_folder:hover,
div.b_ext_elem .x-tree-node-collapsed .x-tree-node-icon {
	background-image: url(images/icons/folder.png) !important;
}

div.b_ext_elem .x-tree-node-expanded .x-tree-node-icon {
	background-image: url(images/icons/folder-open.png) !important;
}

div.b_toolbox li a.b_toolbox_publish, div.b_toolbox li a.b_toolbox_publish:hover {
	background-image: url(images/icons/publish.png);
}

div.b_toolbox li a.b_toolbox_publish_highlighted, div.b_toolbox li a.b_toolbox_publish_highlighted:hover {
	background-image: url(images/icons/publish_white.png);
}

div.b_toolbox li a.b_toolbox_move, .o_catalog .b_move, #o_action_titled_list .o_button_move {
	background-image: url(images/icons/shuffle.png);
}

div.b_toolbox li a.b_toolbox_delete, div.b_toolbox li a.b_toolbox_delete:hover, span.o_icon_delete, .b_delete_icon, .o_catalog .b_delete, #o_action_titled_list .o_button_del,
body#b_body table .deleteGroup, body#b_body .o_groups table .deleteGroup_disabled {
	background-image: url(images/icons/remove.png);
}

a.b_contexthelp, .b_portlet_content a.b_contexthelp, a.b_contexthelp:hover, a.b_contexthelp:active, a.b_contexthelp:focus, a.b_contexthelp_icon {
	background-image: url(images/icons/help.png);
}

#b_topnav #o_topnav_logout a, #b_topnav #o_topnav_logout a:hover, #b_topnav #o_topnav_logout a:focus, #b_topnav #o_topnav_logout a:active {
	background-image: url(images/icons/logout_blue.png);
}

#b_msg_warn, .b_msg_warn {
	background: url(images/icons/warning.png) no-repeat 4px 9px transparent;
}

.b_info {
	background-image: url(images/icons/info.png);
}

div.b_toolbox li a.b_toolbox_addOwner, div.b_toolbox li a.b_toolbox_addOwner:hover,
div.b_toolbox li a.icon_groupmngt, div.b_toolbox li a.icon_groups,
.b_user_icon,
div.b_toolbox li a.b_toolbox_editowner {
	background-image: url(images/icons/user.png);
}

div.b_table_wrapper a.b_table_download, div.b_table_wrapper a.b_table_download:hover {
	background-image: url(images/icons/table-download.png);
}

div.b_table_wrapper a.b_table_prefs, div.b_table_wrapper a.b_table_prefs:hover {
	background-image: url(images/icons/gear_blue.png);
}

#o_topnav_search a span, #o_topnav_search a:hover span, #o_topnav_search a:focus span, #o_topnav_search a:active span,
.b_form_auto_completer span.o_fulltext_search_button,
body#b_body .b_toolbox li form a.o_fulltext_search_button span,
a.o_fulltext_search_button, a.o_fulltext_search_button:hover,
.b_briefcase_searchcomp a span, .b_briefcase_searchcomp a:hover span, .b_briefcase_searchcomp a:focus span {
	background-image: url(images/icons/search.png);
}

.b_table_page a.b_table_forward {
	padding-right: 20px;
	background-image: url("images/icons/arrow-right3.png");
}

.b_table_page a.b_table_backward, .b_table_page a.b_table_backward:hover {
	padding-left: 20px;
	background-image: url("images/icons/arrow-left.png");
}

div.b_toolbox li a.icon_gotoeditor,
.o_admin_icon,
div.b_briefcase_foldercomp table.b_briefcase_filetable a.b_briefcase_edit_file_icon, div.b_briefcase_foldercomp table.b_briefcase_filetable a.b_briefcase_edit_file_icon:hover,
div.b_module_singlepage_wrapper a.b_content_edit, div.b_module_singlepage_wrapper a.b_content_edit:hover, a.b_content_edit, a.b_content_edit:hover, a.b_ll_edit, .b_inline_allways_editable {
	background-image: url(images/icons/edit.png);
}

div.b_toolbox li a.icon_editDesc,
div.b_briefcase_foldercomp table.b_briefcase_filetable a.b_briefcase_edit_meta_icon, div.b_briefcase_foldercomp table.b_briefcase_filetable a.b_briefcase_edit_meta_icon:hover {
	background-image: url(images/icons/pencil.png);
}

div.b_toolbox li a.icon_download,
div.b_module_singlepage_wrapper a.b_content_download,
div.b_module_singlepage_wrapper a.b_content_download:hover {
	background-image: url(images/icons/download.png);
}

div.b_toolbox li a.b_toolbox_end,
body#b_body .o_CourseModule_icon_closed,
div.b_toolbox li a.b_toolbox_close_semester, div.b_toolbox li a.b_toolbox_close_semester:hover,
a.o_forum_hide {
	background-image: url("images/icons/blocked.png");
}

div.b_toolbox li a.b_toolbox_subcourse {
	background-image: url(images/icons/link.png);
}

div.b_toolbox li a.icon_catalog {
	background-image: url(images/icons/enter.png);
}

div.b_toolbox li a.icon_bm,
a.b_mark_set,
a.b_mark_not_set:hover {
	background-image: url(images/icons/star-filled.png);
}

div.b_toolbox li a.icon_editProp, div.b_toolbox li a.b_toolbox_edit, .o_catalog .b_edit, .b_tree .o_admin_icon, .b_tree a.o_admin_icon:hover,
div.b_toolbox li a.b_toolbox_preview_config, div.b_toolbox li a.b_toolbox_preview_config:hover {
	background-image: url(images/icons/gear.png);
}

div.b_toolbox li a.b_toolbox_catalog {
	background-image: url(images/icons/course.png);
}

a.b_noti_subscribe_link, a.b_noti_subscribe_link:hover, a.b_noti_unsubscribe_link, a.b_noti_unsubscribe_link:hover {
	background-image: url("images/icons/envelop.png");
}

div.b_briefcase_foldercomp div.b_briefcase_createactions ul a.b_briefcase_upload, div.b_briefcase_foldercomp div.b_briefcase_createactions ul a.b_briefcase_upload:hover {
	background-image: url(images/icons/upload.png);
}

#b_content_popup, #b_content_popup:hover {
	background-image: url("images/icons/link-external.png");
}

a.o_forum_createthread,
.o_icon_add {
	background-image: url("images/icons/plus.png");
}

body#b_body .o_forum_status_closed_icon,
a.o_forum_close, a.o_forum_open,
div.b_briefcase_foldercomp table.b_briefcase_filetable span.b_briefcase_locked_file_icon {
	background-image: url(images/icons/lock.png);
}

span.o_forum_status_thread_icon {
	background-image: url(images/icons/bubble.png);
}

body#b_body .o_forum_status_sticky_closed_icon {
	background-image: url(images/icons/bubble-locked.png);
}

body#b_body .o_forum_status_sticky_icon {
	background-image: url(images/icons/bubble-star.png);
}

body#b_body .o_forum_status_closed_icon {
	background-image: url(images/icons/bubble-blocked.png);
}

a.b_mark_not_set, a.b_mark_set:hover {
	background-image: url(images/icons/star.png);
}

a.o_forum_archive {
	background-image: url(images/icons/attachment.png);
}

a.o_forum_filterforuser {
	background-image: url(images/icons/filter.png);
}

div.b_ext_elem .x-tree-lines .x-tree-elbow-plus {
	background-image: url(images/icons/arrow-right-small.png);
}

div.b_ext_elem .x-tree-lines .x-tree-elbow-minus {
	background-image: url(images/icons/arrow-down-small.png);
}

div.b_ext_elem .x-tree-node-leaf .o_bb_insert,
div.b_ext_elem .x-tree-node-collapsed .o_bb_insert,
div.b_ext_elem .x-tree-node-leaf .o_bb_insert_multiple,
div.b_ext_elem .x-tree-node-collapsed .o_bb_insert_multiple {
	height: 25px;
	background-image: url(images/icons/insert.png);
}

div.b_ext_elem .x-tree-selected .o_bb_insert,
div.b_ext_elem .x-tree-selected .o_bb_insert_multiple {
	background-position: 0 0;
}

/* course, course nodes and resources */
div.b_toolbox li a.o_toolbox_course, div.b_toolbox li a.o_toolbox_course:hover, .o_CourseModule_icon, a.o_CourseModule_icon:hover, div.b_toolbox li a.o_course_icon, div.b_tree li .o_course_icon, .o_course_icon {
	background-image: url(images/icons/course.png) !important;
}

.o_st_icon, a.o_st_icon:hover, div.b_tree ul.b_tree_l0 li a.o_st_icon {
	background-image: url(images/icons/stack2.png);
}

.o_scorm_icon, a.o_scorm_icon:hover, a.o_scorm_org, a.o_scorm_org:hover, div.b_toolbox li a.o_toolbox_scorm, div.b_toolbox li a.o_toolbox_scorm:hover, .o_FileResource-SCORMCP_icon {
	background-image: url(images/icons/cube.png);
}

.o_h5p_icon, a.o_h5p_icon:hover, a.o_h5p_org, a.o_h5p_org:hover, div.b_toolbox li a.o_toolbox_h5p, div.b_toolbox li a.o_toolbox_h5p:hover, .o_FileResource-H5PCP_icon {
	background-image: url(images/icons/h5p.png);
}

.o_cp_icon, a.o_cp_icon:hover, .o_FileResource-IMSCP_icon, div.b_toolbox li a.o_toolbox_content, div.b_toolbox li a.o_toolbox_content:hover,

.o_en_icon, a.o_en_icon:hover {
	background-image: url(images/icons/enrollment.png) !important;
}

.o_bc_icon, a.o_bc_icon:hover, .o_catalog_itemlist li a, .b_filetype_folder, div.b_briefcase_foldercomp div.b_briefcase_createactions ul a.b_briefcase_newfolder,
div.b_toolbox li a.o_toolbox_sharedfolder, div.b_toolbox li a.o_toolbox_sharedfolder:hover, .o_FileResource-SHAREDFOLDER_icon {
	background-image: url(images/icons/folder.png) !important;
}

.o_vc_icon, a.o_vc_icon:hover {
	background-image: url(images/icons/screen.png);
}

.o_aichat_icon, a.o_aichat_icon:hover {
	background-image: url(images/icons/ai-chat.png);
}

.o_lti_icon, a.o_lti_icon:hover {
	background-image: url(images/icons/lti.png);
}

.o_sp_icon, a.o_sp_icon:hover,
.o_tu_icon, a.o_tu_icon:hover,
div.b_toolbox li a.b_toolbox_doc, div.b_toolbox li a.b_toolbox_doc:hover,
div.b_briefcase_foldercomp div.b_briefcase_createactions ul a.b_briefcase_newfile, div.b_briefcase_foldercomp div.b_briefcase_createactions ul a.b_briefcase_newfile:hover {
	background-image: url(images/icons/file.png) !important;
}

.o_ll_icon, a.o_ll_icon:hover {
	background-image: url(images/icons/link.png) !important;
}

.o_bib_icon, a.o_bib_icon:hover {
	background-image: url(images/icons/books.png) !important;
}

a.b_link_mailto, a.b_link_mailto:hover, .o_co_icon, a.o_co_icon:hover, a.icon_group_message, a.icon_group_message:hover, a.o_instantmessaging_new_msg_icon, a.o_instantmessaging_new_msg_icon:hover, .b_toolbox_chat .b_float_right a, .b_toolbox_chat .b_float_right a:hover, div.b_toolbox li a.b_toolbox_email {
	background-image: url(images/icons/envelop.png) !important;
}

.o_fo_icon, a.o_fo_icon:hover, .o_forum_status_thread_icon,
div.o_blog_peekview div.o_feed_peekview_item a.o_feed_item_icon,
.o_forum_message_icon {
	background-image: url(images/icons/bubbles.png) !important;
}

.o_wiki_icon, a.o_wiki_icon:hover, div.b_toolbox li a.o_toolbox_wiki, div.b_toolbox li a.o_toolbox_wiki:hover, .o_FileResource-WIKI_icon {
	background-image: url(images/icons/wiki.png) !important;
}

.o_ta_icon, a.o_ta_icon:hover {
	background-image: url(images/icons/pencil.png) !important;
}

.o_iqtest_icon, a.o_iqtest_icon:hover, div.b_toolbox li a.o_toolbox_test, div.b_toolbox li a.o_toolbox_test:hover, .o_FileResource-TEST_icon, .o_qti_test #o_qti_run_title strong,
.o_iqself_icon, a.o_iqself_icon:hover {
	background-image: url("images/icons/checkbox-checked.png") !important;
}

.o_infomsg_icon, a.o_infomsg_icon:hover {
	background-image: url(images/icons/info.png) !important;
}

.o_cl_icon, a.o_cl_icon:hover {
	background-image: url(images/icons/checklist.png) !important;
}

.o_cal_icon, a.o_cal_icon:hover, .o_den_icon, a.o_den_icon:hover, div.b_toolbox li a.icon_calendar, div.b_toolbox li a.o_calendar_icon, .o_calendar_icon, a.o_calendar_icon:hover {
	background-image: url(images/icons/calendar.png) !important;
}

.o_profile_icon, a.o_profile_icon:hover {
	background-image: url(images/icons/user.png) !important;
}

div.b_toolbox li a.o_toolbox_podcast, div.b_toolbox li a.o_toolbox_podcast:hover, .o_FileResource-PODCAST_icon, .o_podcast_icon, a.o_podcast_icon:hover {
	background-image: url(images/icons/podcast.png) !important;
}

div.b_toolbox li a.o_toolbox_blog, div.b_toolbox li a.o_toolbox_blog:hover, .o_FileResource-BLOG_icon, body#b_body .o_blog_icon {
	background-image: url(images/icons/blog.png) !important;
}

.o_dialog_icon, a.o_dialog_icon:hover {
	background-image: url(images/icons/dialog.png) !important;
}

.o_iqsurv_icon, a.o_iqsurv_icon:hover, div.b_toolbox li a.o_toolbox_questionnaire, div.b_toolbox li a.o_toolbox_questionnaire:hover, .o_FileResource-SURVEY_icon, .o_qti_survey #o_qti_run_title strong {
	background-image: url("images/icons/help-bubble.png") !important;
}

.o_fcs_icon, a.o_fcs_icon:hover, div.b_toolbox li a.o_toolbox_flashcardset, div.b_toolbox li a.o_toolbox_flashcardset:hover, .o_FileResource-FLASHCARDSET_icon {
	background-image: url(images/icons/stack3.png) !important;
}

div.b_toolbox li a.o_toolbox_portfolio, div.b_toolbox li a.o_toolbox_portfolio:hover, .o_ep_icon, a.o_ep_icon:hover, .o_EPStructuredMapTemplate_icon {
	background-image: url("images/icons/puzzle-check.png") !important;
}

a.b_eportfolio_add, a.b_eportfolio_add:hover {
	background-image: url(images/icons/puzzle.png) !important;
}

.o_projectbroker_icon, a.o_projectbroker_icon:hover,
div.b_toolbox li a.icon_coursenotes {
	background-image: url(images/icons/stack.png) !important;
}

.o_ms_icon, a.o_ms_icon:hover,
div.b_toolbox li a.icon_assessment {
	background-image: url(images/icons/star-filled.png) !important;
}

.o_mediathek_icon, a.o_mediathek_icon:hover, div.b_toolbox li a.o_toolbox_mediathek, .o_FileResource-MEDIATHEK_icon {
	background-image: url(images/icons/film.png) !important;
}

div.b_toolbox li a.o_toolbox_glossary, div.b_toolbox li a.o_toolbox_glossary:hover, .o_FileResource-GLOSSARY_icon, div.b_toolbox li a.o_glossary, div.b_toolbox li a.icon_glossary {
	background-image: url("images/icons/a-z.png");
}

div.b_toolbox li a.icon_statistic {
	background-image: url(images/icons/stats.png);
}

div.b_toolbox li a.icon_efficiency,
div.b_toolbox span.icon_efficiency.b_toolbox_disabled {
	background-image: url(images/icons/trophy.png);
}

.x-tree-node .x-tree-node-disabled a span {
	color: var(--main-theme-gray-70) !important;
}

.b_wizard_steps_wrapper .b_selectiontree_content .b_checkbox_label {
	padding: .2em;
	background-color: var(--main-theme-color-50);
	color: var(--neutral-white);
}

/* group stuff */
table td span.icon_LearningGroup, #b_col2 ul li a.icon_LearningGroup,
div.b_toolbox li span.b_toolbox_link.b_disabled, div.b_toolbox li span.b_toolbox_disabled,
div.b_toolbox li a.css_group_create,
div.b_toolbox li a.css_group_import,
.o_course_run_groupinfo, .b_group_icon, a.b_group_icon:hover,
div.b_toolbox li a.css_right_create,
#b_col1 ul li a.icon_BuddyGroup,
table td span.icon_BuddyGroup, #b_col2 ul li a.icon_BuddyGroup,
#b_col1 ul li a.icon_LearningGroup {
	background-image: url(images/icons/group.png);
}

div.b_toolbox li a.css_area_create {
	background-image: url(images/icons/grid.png);
}

div.b_toolbox li a.css_list_members_with_groups, div.b_toolbox li a.css_list_members_with_areas {
	background-image: url(images/icons/file-excel.png);
}

div.b_toolbox li a.o_co_reset,
div.b_toolbox li a.icon_exchange {
	background-image: url(images/icons/reload.png);
}

body#b_body .o_groups table .leaveGroup {
	background-image: url(images/icons/exit.png);
}

body#b_body .o_groups table .leaveGroup_disabled {
	background-image: url(images/icons/exit_grey.png);
}

/* assessment tool */
div.b_toolbox li a.b_tool_gradingkey {
	background-image: url(images/icons/key.png);
}

div.b_toolbox li a.b_tool_bulkfocus {
	background-image: url(images/icons/checklist.png);
}

div.b_toolbox li a.b_toolbox_results {
	background-image: url(images/icons/file-excel.png);
}

div.b_toolbox li a.b_tool_certificate {
	background-image: url(images/icons/download.png);
}

/* onyx reporter filter */
.reporter-filter-container {
	display: flex;
	align-items: flex-end;
	gap: 1rem;
	flex-wrap: wrap;

	select {
		max-width: 12rem;
	}
}

.datechooser-container div {
	white-space: nowrap;
}

/* archive */
div.b_toolbox li a.b_toolbox_verify, div.b_toolbox li a.b_toolbox_verify:hover {
	background-image: url(images/icons/lock.png);
}

div.b_toolbox li a.icon_archiver {
	background-image: url(images/icons/attachment.png);
}

/* file types */
.b_filetype_pdf {
	background-image: url(images/icons/file-pdf.png) ! important;
}

.b_filetype_png,
.b_filetype_gif, .b_filetype_gif:hover,
.b_filetype_bmp, .b_filetype_bmp:hover,
.b_filetype_jpeg, .b_filetype_jpg {
	background-image: url(images/icons/image.png) ! important;
}

.b_filetype_file, .b_filetype_file:hover,
.b_filetype_txt {
	background-image: url(images/icons/file.png) ! important;
}

.b_filetype_doc, .b_filetype_doc:hover,
.b_filetype_docx, .b_filetype_docx:hover {
	background-image: url(images/icons/file-word.png) ! important;
}

.b_filetype_odt {
	background-image: url(images/icons/file-openoffice.png) ! important;
}

.b_filetype_xls, .b_filetype_xlsx,
.b_filetype_ods {
	background-image: url(images/icons/file-excel.png) ! important;
}

.b_filetype_ppt, .b_filetype_pptx,
.b_filetype_odp {
	background-image: url(images/icons/file-powerpoint.png) ! important;
}

.b_filetype_xml, a.b_filetype_xml:hover,
.b_filetype_htm, .b_filetype_html, a.b_filetype_htm:hover, a.b_filetype_html:hover {
	background-image: url(images/icons/file-xml.png) ! important;
}

.b_filetype_css, a.b_filetype_css:hover {
	background-image: url(images/icons/file-css.png) ! important;
}

.b_filetype_zip, a.b_filetype_zip:hover, .b_filetype_rar, .b_filetype_rar:hover {
	background-image: url(images/icons/file-zip.png) ! important;
}

.b_filetype_mp3, .b_filetype_mp3:hover,
.b_filetype_m3u, .b_filetype_m3u:hover,
.b_filetype_mpeg, .b_filetype_mpg,
.b_filetype_wav {
	background-image: url(images/icons/film.png) ! important;
}

/* license stuff */
.license-icon {
	display: inline-block;
	width: 44px;
	height: 22px;
	vertical-align: middle;
}

.icon-cc-by {
	background-image: url(images/icons/cc-by.png);
}

.icon-cc-by-sa {
	width: 66px;
	background-image: url(images/icons/cc-by-sa.png);
}

.icon-cc-by-nd {
	width: 66px;
	background-image: url(images/icons/cc-by-nd.png);
}

.icon-cc-by-nc {
	width: 66px;
	background-image: url(images/icons/cc-by-nc.png);
}

.icon-cc-by-nc-sa {
	width: 88px;
	background-image: url(images/icons/cc-by-nc-sa.png);
}

.icon-cc-by-nc-nd {
	width: 88px;
	background-image: url(images/icons/cc-by-nc-nd.png);
}

.icon-cc-0 {
	background-image: url(images/icons/cc-0.png);
}

/* user management */
.b_inline_allways_editable {
	padding: 1px 20px 1px 0;
	vertical-align: middle;
	min-height: 16px;
	background-position: 100% 50%;
	background-repeat: no-repeat;
}

.o_gradingkey_msg_warn {
	line-height: 2em;
	padding: 4px 10px 10px 32px;
	background-position: 0 3px;
}

/* new label */
.new-label {
	display: inline-block;
	width: 30px;
	height: 16px;
	margin-left: 0.5em;
	background: url("images/icons/new.png") no-repeat;
}

/* AI Chatbot */
.o_ai_materials_list li {
	padding-block: .15rem;
}
.o_ai_index_status {
	display: flex;
	padding-left: 0;

	dd {
		display: flex;
		gap: .5rem;
		margin-right: 1.5rem;
	}
}
.o_ai_index_status_creating {
	color: var(--main-theme-color-60);
}
.o_icon_busy {
	display: inline-block;
	width: 1rem;
	height: 1rem;
	background: url(images/icons/reload.png) no-repeat;
}
.o_ai_index_status_error {
	color: var(--error-color-70);
}
.o_icon_warn {
	display: inline-block;
	width: 1rem;
	height: 1rem;
	background: url(images/icons/cancel-circle.png) no-repeat;
}
